Subject: [PATCHES] RFC: Ethtool patches to add multi queue support, LRO

From: "Kok, Auke" <[email-masked]>
Date: Tue, 31 Jul 2007 13:20:23 -0700

All,

Recently new features have been written to add multiqueue support and LRO. 
However, none of the patches touch on a basic configuration scheme and most use 
module parameters.

I propose several patches to add support to change these features for LRO and 
multiqueue. Currently these patches are implemented in the most generic way 
possible (largely copy/paste from current ethtool code) - and add 'ethtool -k 
lro on|off' support that toggles the NETIF_F_LRO generic device flag, and a new 
ethtool_queueparam struct to get/pass rx and tx queue count.

I'm contenplating adding a "usecs-irq" non-rx non-tx parameter for the intel 
(1/10) gigabit adapters since our adapters share an interrupt moderation 
counters for both rx and tx, but that will come later.

Cheers,

Auke